# Fake CSV

Set up
```shell script
git clone git@gitlab.com:it.devel.att/django-gen-csv.git
cd django-gen-csv
make venv
source venv/bin/activate
pip install -r requirements.txt
make env
make up_db
make migrate
```

With success migration you can see output like this
```shell script
./manage.py migrate --no-input
Operations to perform:
  Apply all migrations: admin, auth, contenttypes, sessions, tasks
Running migrations:
  Applying contenttypes.0001_initial... OK
  Applying auth.0001_initial... OK
  Applying admin.0001_initial... OK
  Applying admin.0002_logentry_remove_auto_add... OK
  Applying admin.0003_logentry_add_action_flag_choices... OK
  Applying contenttypes.0002_remove_content_type_name... OK
  Applying auth.0002_alter_permission_name_max_length... OK
  Applying auth.0003_alter_user_email_max_length... OK
  Applying auth.0004_alter_user_username_opts... OK
  Applying auth.0005_alter_user_last_login_null... OK
  Applying auth.0006_require_contenttypes_0002... OK
  Applying auth.0007_alter_validators_add_error_messages... OK
  Applying auth.0008_alter_user_username_max_length... OK
  Applying auth.0009_alter_user_last_name_max_length... OK
  Applying auth.0010_alter_group_name_max_length... OK
  Applying auth.0011_update_proxy_permissions... OK
  Applying auth.0012_alter_user_first_name_max_length... OK
  Applying sessions.0001_initial... OK
  Applying tasks.0001_initial... OK
```

Next step you can up application local or in docker

For local
```shell script
./manage.py runserver
```

Or you can up all in docker
```shell script
make docker_build
make docker_up
make docker_collectstatic
```